Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 455425 - x86: don't call MP_processor_info for disabled cpu
Summary: x86: don't call MP_processor_info for disabled cpu
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: kernel
Version: 5.3
Hardware: All
OS: Linux
low
low
Target Milestone: rc
: ---
Assignee: Prarit Bhargava
QA Contact: Martin Jenner
URL:
Whiteboard:
Depends On:
Blocks: 455409
TreeView+ depends on / blocked
 
Reported: 2008-07-15 14:07 UTC by Prarit Bhargava
Modified: 2009-01-20 20:25 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2009-01-20 20:25:48 UTC


Attachments (Terms of Use)
Upstream fix for this issue (deleted)
2008-07-15 14:07 UTC, Prarit Bhargava
no flags Details | Diff
RHEL5 fix for this issue (deleted)
2008-07-15 23:58 UTC, Prarit Bhargava
no flags Details | Diff


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2009:0225 normal SHIPPED_LIVE Important: Red Hat Enterprise Linux 5.3 kernel security and bug fix update 2009-01-20 16:06:24 UTC

Description Prarit Bhargava 2008-07-15 14:07:47 UTC
Backport 

Gitweb:    
http://git.kernel.org/git/?p=linux/kernel/git/torvalds/linux-2.6.git;a=commit;h=987dd2d4d465e80e00d6a0b16787a78aa75dd66a
Commit:     987dd2d4d465e80e00d6a0b16787a78aa75dd66a
Parent:     2df297261903249f5ac2d3d14ededbda229397e2
Author:     Alexey Starikovskiy <astarikovskiy@suse.de>
AuthorDate: Thu Mar 27 23:54:06 2008 +0300
Committer:  Ingo Molnar <mingo@elte.hu>
CommitDate: Thu Apr 17 17:41:31 2008 +0200

    x86: don't call MP_processor_info for disabled cpu
    
    Signed-off-by: Alexey Starikovskiy <astarikovskiy@suse.de>
    Signed-off-by: Ingo Molnar <mingo@elte.hu>

Comment 1 Prarit Bhargava 2008-07-15 14:07:47 UTC
Created attachment 311830 [details]
Upstream fix for this issue

Comment 2 Prarit Bhargava 2008-07-15 23:58:29 UTC
Created attachment 311896 [details]
RHEL5 fix for this issue

Comment 3 RHEL Product and Program Management 2008-07-16 02:13:16 UTC
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.

Comment 5 Don Zickus 2008-07-23 18:56:10 UTC
in kernel-2.6.18-99.el5
You can download this test kernel from http://people.redhat.com/dzickus/el5

Comment 9 errata-xmlrpc 2009-01-20 20:25:48 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2009-0225.html


Note You need to log in before you can comment on or make changes to this bug.